Subject: bug#12861: wrong default value when completing in woman-file-name

From: Jonas Bernoulli <[email-masked]>
Date: Sun, 11 Nov 2012 15:30:00 +0100

I don't use TAB to `minibuffer-complete' (I use <tab> and use C-i as a
key combination that does not have anything to do with the Tab key).

In `woman-file-name' TAB is unread, which in my case causes the
previously selected file to become the initial input for
`completing-read'.  That file is the last man page I looked at, usually
that is not the command I want to look at now.  This means that I often
get some bogus initial value in the minibuffer which I first have to
delete, then I complete to get the common prefix, and only then I can
actually select one of the files that correspond to the topic I want to
look up.

Could you please change this so that the key sequence actually used to
invoke `minibuffer-complete' is unread instead of TAB (or just call
`minibuffer-complete' explicitly?).

Thanks,
Jonas